/*******************************************************************************
 * Copyright 2012 Niklas Ekman
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *******************************************************************************/
package yet.another.hackernews.reader.utils;

import yet.another.hackernews.reader.functions.ProgressFragment;
import yet.another.hackernews.reader.functions.ProgressFragment.OnProgressListener;
import android.support.v4.app.FragmentManager;

public class MyDialogUtils {

	private static final String PROGRESS_TAG = "NAXIA_PROGRESS_DIALOG";

	private static ProgressFragment progressDisplay;
	
	public static void newDialog(OnProgressListener listener, String messageID, String titleID) {

		progressDisplay = ProgressFragment.newInstance(messageID, titleID);

		if (listener != null) {
			ProgressFragment.setOnProgressListener(listener);
		}

	}

	public static void show(FragmentManager fManager) {
		progressDisplay.show(fManager, PROGRESS_TAG);
	}

	public static void hideDialog() {
		if (progressDisplay != null) {
			// Hide progress dialog
			try {
				progressDisplay.dismiss();
			} catch (NullPointerException nullE) {

			} catch (IllegalStateException isE) {

			}

			progressDisplay = null;
		}
	}

}
